/* -------------------------- ALL -------------------------- */

body > *:not(#header):not(#welcome) {
    padding-inline: 35px;
}

.title {
    font-family: var(--ffSLi);
    font-size: 1.875rem;
    line-height: 2rem;
    color: var(--black);
}

span:has(> .title--line) {
    position: relative;
}

.title--line {
    display: block;
    background-color: var(--light);
    padding-inline: 12px;
    position: relative;
    width: fit-content;
    margin-inline: auto;
    z-index: 1;
}

span:has(> .title--line)::before {
    content: "";
    display: block;
    width: 100%;
    height: 1px;
    background-color: var(--black);
    position: absolute;
    bottom: 20px;
    left: 0px;
    z-index: 0;
}

.title--logo::before {
    display: block;
    content: "";
    width: 100%;
    height: auto;
    background-image: url('../img/logosIcons/logoSimple.svg');
    background-repeat: no-repeat;
    background-size: contain;
    aspect-ratio: 75/20;
    width: 75px;
    height: auto;
}

.title--logo {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
}

.subtitle {
    font-family: var(--ffMRe);
    font-size: .9375rem;
    line-height: 1.125rem;
    color: var(--black);
    text-transform: uppercase;
    letter-spacing: 2.75px;
    width: fit-content;
    padding-left: 38px;
    position: relative;
}

.subtitle::before {
    content: "";
    display: block;
    width: 32px;
    height: 1px;
    background-color: var(--black);
    position: absolute;
    top: 47.5%;
    left: 0;
}

.link {
    color: var(--black);
    position: relative;
    font-family: var(--ffMSeBo);
    font-size: .9375rem;
    line-height: 1.125rem;
    text-transform: uppercase;
    padding-bottom: 8px;
    width: fit-content;
    display: flex;
    align-items: flex-end;
    gap: 11px;
    letter-spacing: 1.175px;
}

.link::after {
    content: "";
    display: block;
    width: 100%;
    height: 2px;
    background-color: var(--black);
    position: absolute;
    bottom: 0;
    left: 0;
    transition: width .25s ease, left .25s ease;
}

.link > .icon {
    max-height: 20px;
    max-width: 19px;
    height: auto;
    width: auto;
    object-fit: contain;
    display: block;
}

.corps,
.corps * {
    font-family: var(--ffMRe);
    color: var(--black);
    font-size: .9375rem;
    line-height: 1.375rem;
}

.badge {
    font-family: var(--ffMSeBo);
    font-size: .8125rem;
    line-height: .9375rem;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    gap: 12px;
    color: var(--warning);
    padding: 15px 13px;
    border: 2px solid var(--warning);
}

.badge > .icon {
    aspect-ratio: 32/29;
    width: 32px;
    height: auto;
    object-fit: contain;
}

@media (width > 991px) {
    .title {
        font-size: 3.125rem;
        line-height: 3.375rem;
    }

    .title--logo::before {
        width: 76px;
    }

    span:has(> .title--line)::before {
        bottom: 32px;
    }
    
    .subtitle {
        font-size: 1.3125rem;
        line-height: 1.5625rem;
        padding-left: 52px;
    }

    .subtitle::before {
        width: 42px;
    }

    .badge {
        font-size: .9375rem;
        line-height: 1.125rem;
        width: fit-content;
    }

    .badge > br {
        display: none;
    }
}

@media (width > 1499px) {
    body > *:not(#welcome):not(#gallery):not(#restaurant):not(#environment):not(#contact):not(.footer):not(.message) {
        max-width: 1440px;
        margin-inline: auto;
    }
}

@media (width > 1559px) {
    body > *:not(#header):not(#welcome) {
        padding-inline: unset;
    }
}

@media (pointer: fine) {
    .link:hover::after {
        width: calc(100% + 40px);
        left: -20px;
        transition: width .25s ease, left .25s ease;
    }
}

/* -- -- -- -- BIENVENUE - DÉBUT -- -- -- -- -- */

#welcome {
    padding-top: 120px;
    position: relative;
    height: 110vh;
}
#welcome .swiper-wrapper::after {
    content: "";
    display: block;
    z-index: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000000;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.5) 0%, rgba(255, 255, 255, 0) 100%);
}

#welcome .swiper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

#welcome .swiper .swiper-button-next,
#welcome .swiper .swiper-button-prev {
    display: none;
}

#welcome .swiper .swiper-button-next:after, 
#welcome .swiper .swiper-button-prev:after {
    content: "";
    display: block;
    background-image: url(../img/logosIcons/arrowShort.svg);
    background-repeat: no-repeat;
    background-size: contain;
    aspect-ratio: 23/14;
    width: 23px;
    height: 14px;
    filter: invert(1);
}

#welcome .swiper .swiper-button-prev {
    rotate: 180deg;
}

#welcome > .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-block: 80px;
    justify-content: center;
    height: calc(70% - 85px);
}

#welcome .content .icon {
    aspect-ratio: 52/47;
    width: 52px;
    height: auto;
    margin-bottom: 23px;
    object-fit: contain;
    z-index: 1;
}

#welcome .button--hero {
    z-index: 1;
}

#welcome .content .subtitle {
    font-family: var(--ffMRe);
    font-size: 1rem;
    line-height: 1.1875rem;
    color: var(--light);
    margin-bottom: 42px;
    text-transform: uppercase;
    letter-spacing: 3.75px;
    padding-left: unset;
}

#welcome .content .subtitle::before {
    display: none;
}

#welcome .logoContainer {
    margin-bottom: 22px;
}

#welcome .logoContainer > .title {
    font-family: var(--ffSLi);
    font-size: 3.125rem;
    line-height: 3.375rem;
    color: var(--light);
    text-align: center;
    margin-bottom: 6px;
}

#welcome .logoContainer > .baseline {
    font-family: var(--ffMRe);
    font-size: .625rem;
    line-height: .6875rem;
    color: var(--light);
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 1px;
    position: relative;
}

#welcome .logoContainer > .baseline::after,
#welcome .logoContainer > .baseline::before {
    content: "";
    display: block;
    width: 22.5%;
    height: 1px;
    background-color: var(--light);
    position: absolute;
    bottom: 45%;
    left: 0;
    z-index: -1;
}

#welcome .logoContainer > .baseline::after {
    right: 0;
    left: unset;
}

#welcome .bottom {
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: var(--black);
    padding-block: 20px 22px;
    width: 100%;
}

#welcome .bottom .left {
    max-width: 78%;
    color: var(--light);
    margin-inline: auto;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 9px;
}

#welcome .bottom .left span {
    font-family: var(--ffMRe);
    font-size: 1.25rem;
    line-height: 1.5625rem;
}

#welcome .bottom .left .icon {
    aspect-ratio: 25/27;
    width: 25px;
    height: auto;
    vertical-align: middle;
    display: inline-block;
}

#welcome .bottom .link {
    color: var(--light);
    border-bottom: 2px solid var(--light);
    margin-inline: auto;
    display: block;
    width: fit-content;
}

#welcome .filigrane {
    font-size: 3rem;
    line-height: 3.25rem;
    font-family: var(--ffSLi);
    color: var(--light);
    position: absolute;
    bottom: 127px;
    text-align: center;
    width: 100%;
}

@media (width > 575px) {
    #welcome .filigrane {
        font-size: 70px;
        line-height: 75px;
        bottom: 122px;
    }
}

@media (width > 623px) {
    #welcome {
        height: 105vh;
    }

    #welcome .filigrane {
        bottom: 99px;
    }
}

@media (width > 991px) {
    #welcome {
        height: 95vh;
    }

    #welcome .swiper .swiper-button-next,
    #welcome .swiper .swiper-button-prev {
        display: block;

    }

    #welcome .swiper .swiper-button-prev {
        left: 40px;
    }

    #welcome .swiper .swiper-button-next {
        right: 40px;
    }

    #welcome .filigrane {
        font-size: 11.735vw;
        line-height: 11.75rem;
        bottom: .9vw;
        white-space: nowrap;
    }

    #welcome > .content {
        margin-block: 50px;
        width: fit-content;
        margin-inline: auto;
        height: calc(80% - 55px);
    }

    #welcome .content .icon {
        margin-bottom: 18px;
    }

    #welcome .content .subtitle {
        font-size: 1rem;
        line-height: 1.1875rem;
        letter-spacing: 5px;
    }

    #welcome .button--hero {
        width: 100%;
    }

    #welcome .logoContainer > .title {
        font-size: 5.625rem;
        line-height: 6.0625rem;
        margin-bottom: -5px;
    }

    #welcome .logoContainer > .baseline {
        font-size: .75rem;
        line-height: .875rem;
    }

    #welcome .logoContainer > .baseline::after,
    #welcome .logoContainer > .baseline::before {
        width: 31.5%;
    }

    #welcome .bottom {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 50px;
        padding-block: 19px 16px;
    }

    #welcome .bottom .left {
        max-width: unset;
        margin-inline: unset;
        margin-bottom: unset;
        display: flex;
        align-items: center;
        position: relative;
    }

    #welcome .bottom .left::before {
        content: "";
        display: block;
        width: 6.5%;
        height: 1px;
        background-color: var(--light);
        position: absolute;
        left: -40px;
        top: 50%;
    }

    #welcome .bottom .link {
        margin-top: 8px;
        margin-inline: unset;
        position: relative;
        border-bottom: none;
    }

    #welcome .bottom .link::after {
        position: absolute;
        bottom: 0;
        width: 100%;
        height: 2px;
        background-color: var(--light);
        left: 0;
        content: "";
        display: block;
        transition: width .25s ease, left .25s ease;
    }

    #welcome .bottom .left span {
        font-size: 1.25rem;
        line-height: .9375rem;
    }

    #welcome .bottom .left .icon {
        aspect-ratio: 30/32;
        width: 30px;
        height: auto;
        margin-left: 24px;
    }

    #welcome .bottom .arrow {
        width: 82px;
        height: 1px;
        background-color: var(--light);
        position: relative;
    }

    #welcome .bottom .arrow::after {
        content: "";
        display: block;
        border-top: 1px solid var(--light);
        border-right: 1px solid var(--light);
        rotate: 45deg;
        width: 8px;
        height: 8px;
        position: absolute;
        right: 0;
        top: -4.125px;
    }
}

@media (width > 1099px) {
    #welcome .filigrane {
        bottom: 1.25vw;
    }
}

@media (width > 1199px) {
    #welcome .filigrane {
        bottom: 1.4vw;
    }
}

@media (width > 1399px) {
    #welcome .filigrane {
        bottom: 1.65vw;
    }
}

@media (width > 1499px) {
    #welcome {
        margin-top: -105px;
        z-index: 0;
    }
}

@media (width > 1599px) {
    #welcome .filigrane {
        bottom: 1.8vw;
    }
}

@media (width > 1799px) {
    #welcome .filigrane {
        bottom: 2vw;
    }
}

@media (width > 1999px) {
    #welcome .filigrane {
        bottom: 2.15vw;
    }
}

@media (width > 2199px) {
    #welcome .filigrane {
        bottom: 2.2vw;
    }
}

@media (width > 2399px) {
    #welcome .filigrane {
        bottom: 2.35vw;
    }
}

@media (pointer: fine) {
    #welcome .bottom .link:hover::after {
        width: calc(100% + 40px);
        left: -20px;
        transition: width .25s ease, left .25s ease;
    }
}

/* -- -- -- -- BIENVENUE - FIN -- -- -- -- -- */


/* -- -- -- -- LE RESTAURANT - DÉBUT -- -- -- -- -- */

#restaurant {
    padding-block: 75px 56px;
    display: flex;
    flex-direction: column;
    position: relative;
    gap: 35px;
    overflow: hidden;
}

#restaurant::before {
    content: "";
    display: block;
    width: 100%;
    height: 160px;
    background-image: url(../img/backgrounds/backgroundRestaurant.svg);
    background-repeat: no-repeat;
    background-position: left bottom;
    background-size: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

#restaurant .establishment {
    display: flex;
    flex-direction: column;
    gap: 48px;
}

#restaurant .establishment .carousselContainer {
    position: relative;
    margin-inline: -35px;
}

#restaurant .establishment .carousselContainer::before,
#restaurant .establishment .carousselContainer::after {
    box-sizing: inherit;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    border: 1px solid transparent;
    width: 0;
    height: 0;
}

#restaurant .establishment .carousselContainer::before {
    top: 0;
    left: 0;
}

#restaurant .establishment .carousselContainer::after {
    top: 0;
    left: 0;
}

#restaurant .establishment .title--logo {
    width: 95%;
}

#restaurant .establishment:nth-child(1) .carousselContainer.animate::before,
#restaurant .establishment:nth-child(1) .carousselContainer.animate::after {
    width: 100%;
    height: 100%;
}

#restaurant .establishment:nth-child(1) .carousselContainer.animate::before {
    border-top-color: var(--black);
    border-right-color: var(--black);
    transition:
      width 0.75s ease-out,
      height 0.75s ease-out 0.75s;
}

#restaurant .establishment:nth-child(1) .carousselContainer.animate::after {
    border-bottom-color: var(--black);
    border-left-color: var(--black);
    transition:
      height 0.75s ease-out,
      width 0.75s ease-out 0.75s;
}

#restaurant .establishment .carousselContainer .swiper {
    position: static;
}

#restaurant .establishment:nth-child(2) .carousselContainer .swiper {
    opacity: 1;
}

#restaurant .establishment:nth-child(1) .carousselContainer.animate .swiper {
    opacity: 1;
    transition: .75s ease opacity;
}

#restaurant .establishment .carousselContainer .swiper-button-next,
#restaurant .establishment .carousselContainer .swiper-button-prev {
    top: unset;
    bottom: -40px;
}

#restaurant .establishment .carousselContainer .swiper-button-next {
    right: 35px;
}


#restaurant .establishment .carousselContainer .swiper-button-prev {
    left: 35px;
    rotate: 180deg;
}

#restaurant .establishment .carousselContainer .swiper-button-next:after, 
#restaurant .establishment .carousselContainer .swiper-button-prev:after {
    content: "";
    display: block;
    background-image: url(../img/logosIcons/arrowShort.svg);
    background-repeat: no-repeat;
    background-size: contain;
    aspect-ratio: 23/14;
    width: 23px;
    height: 14px;
}

#restaurant .establishment .swiper-slide img {
    aspect-ratio: 393/261;
    width: 100%;
    height: auto;
    object-fit: cover;
    display: block;
}

#restaurant .establishment .content {
    margin-top: 25px;
    display: flex;
    flex-direction: column;
    gap: 22px;
}

#restaurant .establishment .links {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

#restaurant .imagesContainer {
    display: flex;
    flex-direction: column;
    gap: 56px;
}

#restaurant .floatingImage--one {
    aspect-ratio: 257/379;
    max-width: 60vw;
    width: 100%;
    height: auto;
    object-fit: cover;
}

#restaurant .floatingImage--two {
    aspect-ratio: 238/334;
    max-width: 57vw;
    width: 100%;
    height: auto;
}

#restaurant .floatingContainer {
    height: fit-content;
}

#restaurant .establishment:not(:nth-child(2)) .floatingContainer:has(> .floatingImage--two) {
    display: flex;
    margin-top: 25px;
    justify-content: flex-end;
}

#restaurant .establishment .carousselContainer--second {
    display: none;
}

#restaurant .establishment:nth-child(2) .carousselContainer--second {
    display: flex;
}

#restaurant .establishment:nth-child(2) .carousselContainer--second .swiper-slide img {
    aspect-ratio: 395/181;
}

#restaurant .establishment:nth-child(2) .carousselContainer--second .swiper-button-next, 
#restaurant .establishment:nth-child(2) .carousselContainer--second .swiper-button-prev {
    bottom: -53px;
}

#restaurant .establishment:nth-child(2) .carousselContainer--second + .content {
    margin-top: 45px;
}

#restaurant .establishment:nth-child(2) .carousselContainer:not(.carousselContainer--second) {
    display: none;
}

#restaurant .establishment:nth-child(2) .imagesContainer {
    margin-top: 12px;
    gap: 56px;
}

#restaurant .establishment:nth-child(2) .floatingImage--two {
    aspect-ratio: 393/262;
    max-width: 100%;
}

#restaurant .establishment:nth-child(2) .floatingContainer:has(> .floatingImage--two) {
    margin-inline: -35px;
}

@media (width > 767px) {

    #restaurant .floatingImage--one {
        max-width: 50vw;
    }

    #restaurant .floatingImage--two {
        max-width: 47vw;
    }
}

@media (width > 991px) {
    #restaurant {
        padding-block: 57px 95px;
        gap: 92px;
    }
    
    #restaurant .establishment {
        display: flex;
        position: relative;
        gap: 60px;
        align-items: stretch;
        flex-direction: row;
    }

    #restaurant .establishment:nth-child(even) {
        flex-direction: row-reverse;
    }

    #restaurant .establishment .carousselContainer {
        width: 50%;
        height: auto;
        position: absolute;
    }

    #restaurant .establishment .swiper-slide img {
        aspect-ratio: 812/540;
        height: 100%;
    }

    #restaurant .swiper {
        height: 100%;
        opacity: 0;
        transition: opacity .75s ease .5s;
    }

    #restaurant .establishment .carousselContainer {
        border: none;
        position: absolute;
        left: 2.5%;
        bottom: 60px;
        width: 62.5%;
    }

    #restaurant .carousselContainer.animate .establishment:nth-child(1) .swiper {
        height: 100%;
        opacity: 1;
        transition: opacity .75s ease .5s;
    }

    #restaurant .establishment .carousselContainer + .content {
        margin-top: unset;
        position: relative;
        left: -100vw;
        transition: .75s ease left;
    }

    #restaurant .establishment .content.animate {
        left: 0;
        transition: .75s ease left;
    }

    #restaurant .establishment:nth-child(even) .carousselContainer + .content {
        margin-top: unset;
        position: relative;
        right: -100vw;
        transition: .75s ease right;
    }

    #restaurant .establishment:nth-child(even) .content.animate {
        width: 60%;
        right: -40%;
        left: unset;
    }

    #restaurant .floatingImage--one {
        max-width: unset;
        aspect-ratio: 355/790;
    }

    #restaurant .establishment:nth-child(2) .floatingImage--one {
        aspect-ratio: 415/790;
    }

    #restaurant .establishment:nth-child(1) {
        padding-bottom: 0%;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer {
        position: relative;
        left: -100vw;
        transition: .75s ease left;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer.animate {
        left: 0;
        transition: .75s ease left;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:has(> .floatingImage--two) {
        max-width: 60%;
        position: relative;
        right: -44%;
        left: unset;
    }

    #restaurant .establishment:nth-child(1) .floatingContainer {
        position: relative;
        right: -100vw;
        transition: .75s ease right;
    }

    #restaurant .establishment:nth-child(1) .floatingContainer.animate {
        right: 0;
        transition: .75s ease right;
    }

    #restaurant .establishment:nth-child(1) .floatingImage--one {
        width: 75%;
        position: relative;
        right: -25%;
    }

    #restaurant .establishment:nth-child(1) .floatingImage--two {
        width: 80%;
        position: relative;
        right: -20%;
    }

    #restaurant .floatingImage--two {
        aspect-ratio: 419/586;
    }

    #restaurant .establishment:nth-child(2) {
        flex-direction: column;
    }

    #restaurant .establishment:not(:nth-child(2)) .floatingContainer:has(> .floatingImage--two) {
        margin-top: unset;
        justify-content: flex-start;
    }

    #restaurant .establishment:nth-child(2) .carousselContainer--second {
        left: 0;
        margin-inline: -35px;
        position: relative;
        top: 0;
        width: calc(100% + 70px);
    }

    #restaurant .establishment:nth-child(2) .carousselContainer--second .swiper-button-next,
    #restaurant .establishment:nth-child(2) .carousselContainer--second .swiper-button-prev {
        bottom: 45%;
    }

    #restaurant .establishment:nth-child(2) .carousselContainer .swiper-button-next:after,
    #restaurant .establishment:nth-child(2) .carousselContainer .swiper-button-prev:after {
        filter: invert(1);
    }

    #restaurant .establishment:nth-child(2) .carousselContainer--second .swiper-slide img {
        aspect-ratio: 1920/881
    }

    #restaurant .establishment .carousselContainer .swiper-button-prev {
        left: 40px;
    }

    #restaurant .establishment .carousselContainer .swiper-button-next {
        right: 40px;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:nth-child(1).animate {
        transition: .75s left ease;
        left: 0;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:nth-child(1) {
        position: absolute;
        top: 37.5%;
        left: -100vw;
        transition: .75s left ease;
        width: 35%;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:has(> .floatingImage--two) .floatingImage--two {
        transition: .75s ease right;
        right: -100vw;
        position: relative;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:has(> .floatingImage--two).animate .floatingImage--two {
        transition: .75s ease right;
        right: 0;
    }

    #restaurant .establishment .links {
        flex-direction: row;
        gap: 42px;
        flex-wrap: wrap;
    }

    #restaurant .establishment:nth-child(2) .imagesContainer {
        margin-top: unset;
    }
}

@media (width > 1199px) {
    #restaurant::before {
        height: 200px;
    }

    #restaurant .imagesContainer {
        gap: 53px;
    }

    #restaurant .establishment {
        gap: 150px;
        align-items: flex-start;
    }

    #restaurant .establishment .carousselContainer + .content {
        margin-top: 77px;
        width: 110%;
    }

    #restaurant .establishment:nth-child(1) .floatingImage--one {
        width: 95%;
        right: -5%;
    }

    #restaurant .establishment .carousselContainer {
        bottom: 28%;
        width: 40%;
    }

    #restaurant .establishment:nth-child(1) .floatingImage--two {
        width: 80%;
        left: -10%;
        position: relative;
    }

    #restaurant .establishment .swiper-slide img {
        aspect-ratio: 728/466;
    }

    #restaurant .swiper {
        height: auto;
    }

    #restaurant .floatingImage--one {
        aspect-ratio: 536/790;
    }

    #restaurant .establishment:nth-child(2) {
        gap: 95px;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:has(> .floatingImage--two) {
        right: -43.5%;
    }

    #restaurant .establishment:nth-child(even) .content.animate {
        width: 50%;
        margin-top: 55px;
        margin-left: 3.5%;
    }

    #restaurant .establishment:nth-child(2) .floatingImage--one {
        aspect-ratio: 436 / 790;
    }
}

@media (width > 1399px) {
    #restaurant::before {
        height: 240px;
        background-size: 110vw;
        background-position: 40% 100%;
    }

    #restaurant .establishment .carousselContainer + .content {
        margin-left: 100px;
        width: 84.5%;
    }

    /* #restaurant .establishment:nth-child(2) .carousselContainer--second {
        margin-inline: 0px;
    } */

    #restaurant .establishment .carousselContainer .swiper-button-next,
    #restaurant .establishment .carousselContainer .swiper-button-prev {
        bottom: 45%;
    }

    #restaurant .establishment .carousselContainer .swiper-button-prev {
        left: 40px;
    }

    #restaurant .establishment .carousselContainer .swiper-button-next {
        right: 60px;
    }

    #restaurant .establishment:nth-child(1) .carousselContainer .swiper-button-prev {
        left: -40px;
    }

    #restaurant .establishment:nth-child(1) .carousselContainer .swiper-button-next {
        right: -40px;
    }

    #restaurant .establishment .carousselContainer {
        left: 5%;
        bottom: 15%;
        width: 45%;
    }

    #restaurant .establishment:nth-child(1) .floatingImage--two {
        width: 70%;
        left: 5%;
        margin-top: 5%;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:nth-child(1).animate {
        top: 40%;
        left: 7.5%;
        width: 32.5%;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:has(> .floatingImage--two) {
        right: -48.5%;
    }

    #restaurant .establishment:nth-child(2) .floatingImage--two {
        width: 90%;
    }

    #restaurant .establishment:nth-child(even) .content.animate {
        width: 45%;
        margin-left: 7.5%;
    }

    #restaurant .establishment:nth-child(1) .floatingImage--one {
        width: 75%;
        right: -15%;
    }
}

@media (width > 1499px) {
    #restaurant .establishment {
        max-width: 1440px;
        margin-inline: auto;
    }
    
    #restaurant .establishment:nth-child(2) .floatingContainer:nth-child(1).animate {
        top: 42.5%;
        left: 7%;
        width: 34%;
    }

    #restaurant .establishment:nth-child(even) .content.animate {
        width: 41%;
        margin-left: 8%;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:has(> .floatingImage--two).animate .floatingImage--two {
        right: -6%;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:nth-child(1) {
        top: 45.5%;
        left: 7.5%;
        width: 32.5%;
    }

    #restaurant .establishment:nth-child(2) .floatingImage--one {
        aspect-ratio: 536 / 790;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:has(> .floatingImage--two) {
        max-width: 55%;
        right: -46vw;
    }

    #restaurant .establishment:nth-child(2) {
        max-width: unset;
        margin-inline: unset;
    }

    #restaurant .establishment .carousselContainer .swiper-button-next {
        right: 75px;
    }

    #restaurant .establishment .carousselContainer .swiper-button-prev {
        left: 65px;
    }
}

@media (width > 1599px) {
    #restaurant .establishment:nth-child(2) .floatingContainer:nth-child(1).animate {
        top: 52.5vw;
        width: 29vw;
        left: 11vw;
    }
}

@media (width > 1699px) {
    #restaurant .establishment .carousselContainer {
        width: 50%;
        left: 0%;
    }

    #restaurant .establishment:nth-child(1) .floatingImage--two {
        margin-top: -2%;
    }

    #restaurant .establishment:nth-child(even) .content.animate {
        max-width: 590px;
        width: 100%;
    }
}

@media (width > 1749px) {
    #restaurant .establishment:nth-child(2) .floatingContainer:nth-child(1) {
        left: 11.5%;
        top: 47.5%;
        width: 27.5%;
    }
}

@media (width > 1919px) {
    #restaurant::before {
        background-position: 0% 100%;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:has(> .floatingImage--two).animate .floatingImage--two {
        right: 0%;
    }

    #restaurant .establishment:nth-child(2) .floatingImage--one {
        width: 90%;
        margin-left: 10%;
    }

    #restaurant .establishment .carousselContainer {
        width: 57.4%;
        left: -5%;
        bottom: 11%;
    }

    #restaurant .establishment:nth-child(1) .floatingImage--one {
        right: -30%;
    }

    #restaurant .establishment:nth-child(1) .floatingImage--two {
        left: 12.5%;
    }

    #restaurant .establishment:nth-child(2) .floatingImage--two {
        width: 100%;
        margin-left: -5%;
    }

    #restaurant .establishment:nth-child(2) .floatingContainer:nth-child(1) {
        top: 50.5vw;
        width: 26%;
    }

    #restaurant .establishment:nth-child(even) .content.animate {
        margin-left: 4%;
    }
}

@media (width > 2199px) {
    #restaurant .establishment:nth-child(2) .floatingImage--one {
        width: 70%;
        margin-left: 27.5%;
    }
}

/* -- -- -- -- LE RESTAURANT - FIN -- -- -- -- -- */


/* -- -- -- -- MENUS - DÉBUT -- -- -- -- -- */

#menus {
    padding-bottom: 89px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

#menus > .title {
    font-size: 2.3125rem;
    line-height: 2.5rem;
    gap: 20px;
}

#menus > .title--logo::before {
    margin-left: 6px;
}

#menus .subtitle {
    margin-bottom: -38px;
}

#menus .menu .title {
    margin-bottom: 24px;
    font-size: 2.3125rem;
    line-height: 2.5rem;
}

#menus .menuItem .corps,
#menus .menuItem .corps * {
    font-size: 1.125rem;
    line-height: 1.75rem;
    width: 87%;
}

#menus .menuItem .price {
    font-family: var(--ffMSeBo);
    font-size: 1.5625rem;
    line-height: 2rem;
    text-align: end;
    width: 100%;
}

#menus .navContainer {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    margin-bottom: 46px;
}

#menus .navContainer .item {
    background-color: var(--light);
    border: 1px solid var(--black);
    padding: 18px 43px;
}

#menus .navContainer .item > .item__link,
#menus .navContainer .item > .item__link:hover,
#menus .navContainer .item > .item__link:active,
#menus .navContainer .item > .item__link:focus {
    color: var(--black);
    font-family: var(--ffMRe);
    font-size: 1.25rem;
    line-height: 1.375rem;
}

#menus .navContainer .item.active {
    background-color: var(--black);
    border: 1px solid var(--black);
}

#menus .navContainer .item.active > .item__link,
#menus .navContainer .item.active > .item__link:hover,
#menus .navContainer .item.active > .item__link:active,
#menus .navContainer .item.active > .item__link:focus {
    color: var(--light);
    font-family: var(--ffMRe);
}

#menus .menuItem {
    display: flex;
    flex-direction: column-reverse;
    gap: 20px;
    align-items: flex-start;
}

#menus .menu--special .menuItem {
    display: flex;
}

#menus .menuItem.active,
#menus .menu--special .menuItem {
    display: flex;
    justify-content: space-between;
}

#menus .menuItem.active .corps,
#menus .menuItem.active .corps *,
#menus .menu--special .menuItem .corps,
#menus .menu--special .menuItem .corps * {
    font-size: 1.125rem;
    line-height: 1.375rem;
}

#menus .menuItem.active .corps {
    width: 70%;
}

#menus .menuItem.active .price,
#menus .menu--special .menuItem .price {
    font-family: var(--ffMSeBo);
    /* white-space: nowrap; */
    font-size: 1.375rem;
    line-height: 1.5625rem;
    max-width: 30%;
}

#menus .menu--carte .menuItem.active {
    padding-bottom: 24px;
}

#menus .menu--carte .menuItem.active:has(~ .menuItem.active) {
    border-bottom: 1px solid var(--black);
}

#menus .menu--carte > .content {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

#menus .menu--carte .menuItem.active .corps,
#menus .menu--carte .menuItem.active .corps * {
    line-height: 1.75rem;
}

#menus .menu--special .content:not(:last-child) {
    margin-bottom: 65px;
}

#menus .menu--special .menuItem .price {
    white-space: unset;
    text-align: end;
    max-width: 30%;
    min-width: 20%;
}

#menus .menu--carte {
    margin-top: 65px;
}

#menus .menu--carte .menuItem {
    flex-direction: row;
    justify-content: space-between;
}

#menus .menu--carte .menuItem:not(:last-child) {
    border-bottom: 1px solid var(--black);
    padding-bottom: 24px;
}

#menus .menu--carte .menuItem .corps {
    width: 75%;
}

#menus .menu--carte .menuItem .corps * {
    width: 100%;
}

#menus .menu--carte .menuItem .price {
    width: fit-content;
    white-space: nowrap;
}

#menus .menuItem .corps strong {
    font-family: var(--ffMBo);
}

@media (width > 767px) {
    #menus .menu--special .menuItem .price {
        max-width: 40%;
    }
}

@media (width > 991px) {
    #menus {
        gap: 30px;
        padding-bottom: 56px;
    }
    
    #menus .menu .title {
        font-size: 3.75rem;
        line-height: 4.0625rem;
        margin-bottom: 30px;
    }

    #menus .subtitle {
        margin-bottom: -54px;
    }

    #menus .menu--carte .menuItem:not(:last-child) {
        padding-bottom: 37px;
    }

    #menus .menu--carte > .content {
        gap: 40px;
    }

    #menus .navContainer {
        flex-direction: row;
        flex-wrap: nowrap;
        overflow-x: scroll;
        scrollbar-width: none;
        -ms-overflow-style: none;
        gap: 17px;
        margin-bottom: 51px;
    }

    #menus .navContainer::-webkit-scrollbar {
        display: none;
    }

    #menus .navContainer .item > .item__link,
    #menus .navContainer .item > .item__link:hover,
    #menus .navContainer .item > .item__link:active,
    #menus .navContainer .item > .item__link:focus {
        white-space: nowrap;
    }

    #menus .menu--special .title {
        margin-bottom: 32px;
    }

    #menus .menu--special .content:not(:last-child) {
        margin-bottom: 95px;
    }

    #menus .menuItem {
        flex-direction: row;
    }

    #menus .menuItem .corps,
    #menus .menuItem .corps * {
        width: 116%;
        line-height: 2.8125rem;
    }

    #menus .menuItem .price {
        width: 75%;
    }

    #menus .menu--carte {
        margin-top: 39px;
    }

    #menus > .title {
        font-size: 3.75rem;
        line-height: 4.0625rem
    }
}

@media (width > 1199px) {
    #menus .menuItem {
        gap: 80px;
    }
}

/* -- -- -- -- MENUS - FIN -- -- -- -- -- */


/* -- -- -- -- CONTACT - DÉBUT -- -- -- -- -- */

#contact {
    position: relative;
    padding-block: 0px 48px;
    overflow: hidden;
}

#contact .contactWrapper {
    position: relative;
    z-index: 2;
}

#contact::before {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background-image: url(../img/backgrounds/backgroundContact.svg);
    background-repeat: repeat;
    background-size: 400vw;
    position: absolute;
    top: 185px;
    left: 0;
    z-index: 0;
}

#contact::after {
    content: "";
    display: block;
    width: 100%;
    height: 185px;
    background-color: var(--light);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

#contact .subtitle {
    margin-bottom: 24px;
}

#contact .title {
    margin-bottom: 21px;
    font-size: 2.3125rem;
    line-height: 2.5rem;
}

#contact .title--logo::before {
    margin-left: 6px;
}

#contact .corps,
#contact .corps * {
    font-size: 1.125rem;
    line-height: 1.5625rem;
}

#contact .corps {
    margin-bottom: 24px;
}

#contact .map {
    padding: 10px;
    border: 1px solid var(--black);
}

#contact .map iframe {
    aspect-ratio: 295/270;
    width: 100%;
    height: auto;
    object-fit: cover;
}

#contact .informations {
    margin-top: 34px;
}

#contact .information > .corps {
    margin-bottom: unset;
}

#contact .information > .corps p {
    line-height: 22px;
}

#contact .information > .corps h2 {
    font-family: var(--ffMSeBo);
    text-transform: uppercase;
    font-size: 1.125rem;
    line-height: 1.375rem;
}

#contact .information > .corps strong,
#contact .information > .corps strong * {
    font-family: var(--ffMSeBo);
}


#contact .informations {
    display: flex;
    flex-direction: column;
    gap: 40px;
    margin-bottom: 48px;
}

#contact .wpcf7 input:not([type=submit]):focus-visible,
#contact .wpcf7 textarea:focus-visible,
#contact .wpcf7 select:focus-visible,
#contact .wpcf7 input:not([type=submit]):hover,
#contact .wpcf7 textarea:hover,
#contact .wpcf7 select:hover {
    outline: 1px solid var(--black);
}

#contact .wpcf7 input[type="text"],
#contact .wpcf7 input[type="email"],
#contact .wpcf7 input[type="tel"],
#contact .wpcf7 textarea {
    width: 100%;
    height: 51px;
    padding: 17px 19px 15px 19px;
    border: 1px solid var(--black);
    font-family: var(--ffMRe);
    font-size: 1rem;
    line-height: 1.1875rem;
    color: var(--black);
    resize: vertical;
}

#contact .wpcf7 input[type="text"]::placeholder,
#contact .wpcf7 input[type="email"]::placeholder,
#contact .wpcf7 input[type="tel"]::placeholder,
#contact .wpcf7 textarea::placeholder {
    color: var(--black)
}

#contact .wpcf7 textarea {
    height: 136px;
}

#contact .wpcf7 form {
    gap: 32px;
    max-width: unset;
}

#contact .wpcf7 form p:has(input[type="submit"]) {
    position: relative;
    width: fit-content;
    padding-left: 38px;
    padding-bottom: 10px;
    border-bottom: 2px solid var(--black);
}

#contact .wpcf7 form p:has(input[type="submit"])::before {
    content: "";
    display: block;
    width: 18px;
    height: 18px;
    background-image: url('../img/logosIcons/plane.svg');
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    left: 0;
}

#contact .wpcf7 form .wpcf7-submit,
#contact .wpcf7 form .wpcf7-submit:hover,
#contact .wpcf7 form .wpcf7-submit:active,
#contact .wpcf7 form .wpcf7-submit:focus {
    background-color: transparent;
    border: unset;
    color: var(--black);
    font-family: var(--ffMSeBo);
    text-transform: uppercase;
    font-size: 1.0625rem;
    line-height: 1.25rem;
    text-align: start;
    padding: unset;
    letter-spacing: 2px;
}

@media (width > 767px) {
    #contact .informations {
        flex-direction: row;
    }

    #contact .information > .corps h2 {
        font-size: 1.5rem;
        line-height: 1.625rem;
    }
}

@media (width > 991px) {
    #contact::before{
        background-size: 70vw;
        background-repeat: repeat;
        top: unset;
    }

    #contact {
        padding-bottom: unset;
    }
    
    #contact > .contactWrapper {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto auto auto auto auto;
        column-gap: 30px;
        padding-block: 98px 62px;
    }

    #contact .information > .corps h2 {
        font-size: 1.125rem;
        line-height: 1.25rem;
    }

    #contact .title {
        font-size: 3.75rem;
        line-height: 4.0625rem;
        grid-area: 2 / 1 / 3 / 3;
        margin-bottom: 19px;
    }

    #contact .corps,
    #contact .corps * {
        font-size: .9375rem;
        line-height: 1.375rem;
    }

    #contact .subtitle {
        grid-area: 1 / 1 / 2 / 3;
        margin-bottom: 19px;
    }

    #contact .corps {
        grid-area: 3 / 1 / 4 / 3;
        margin-bottom: 33px;
    }

    #contact .map {
        grid-area: 4 / 1 / 5 / 2;
        padding: 26px;
        background-color: var(--light);
    }

    #contact .informations {
        grid-area: 5 / 1 / 6 / 2;
        margin-block: 50px 0px;
        gap: 25px;
    }

    #contact .form {
        grid-area: 4 / 2 / 5 / 3;
    }

    #contact .wpcf7 form {
        gap: 30px;
    }

    #contact .map iframe {
        aspect-ratio: unset;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    #contact .wpcf7 form p:has(input[type="submit"]) {
        border-bottom: none;
    }

    #contact .wpcf7 form p:has(input[type="submit"]) {
        position: relative;
    }

    #contact .wpcf7 form p:has(input[type="submit"])::after {
        position: absolute;
        bottom: 0;
        width: 100%;
        height: 2px;
        background-color: var(--black);
        left: 0;
        content: "";
        display: block;
        transition: width .25s ease, left .25s ease;
    }

    #contact::after {
        display: none;
    }
}

@media (width > 1199px) {
    #contact > .contactWrapper {
        column-gap: 80px;
    }
}

@media (width > 1399px) {
    #contact .information > .corps h2 {
        font-size: 1.5rem;
        line-height: 1.625rem;
    }

    #contact .corps, #contact .corps * {
        font-size: 1.125rem;
        line-height: 1.5625rem;
    }
}

@media (width > 1439px) {
    #contact > .contactWrapper {
        column-gap: 120px;
    }

    #contact .map iframe {
        aspect-ratio: 522/479;
        height: auto;
    }
}

@media (width > 1559px) {
    body > *:not(#header):not(#welcome)#contact > .contactWrapper {
        max-width: 1440px;
        margin-inline: auto;
        width: 100%;
    }
    body > *:not(#header):not(#welcome)#contact > .contactWrapper > *.map,
    body > *:not(#header):not(#welcome)#contact > .contactWrapper > *.informations,
    body > *:not(#header):not(#welcome)#contact > .contactWrapper > *.form {
        max-width: 660px;
        width: 100%;
        justify-self: end;
    }
}

@media (pointer: fine) {
    #contact .wpcf7 form p:has(input[type="submit"]):hover::after {
        width: calc(100% + 40px);
        left: -20px;
        transition: width .25s ease, left .25s ease;
    }
}

/* -- -- -- -- CONTACT - FIN -- -- -- -- -- */

